> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Verificar token

> Verifica el token de API y, opcionalmente, devuelve información del usuario



## OpenAPI

````yaml /es/api-reference/openapi.json get /verify
openapi: 3.0.0
info:
  title: API de Corgea
  version: 1.0.0
  description: >-
    API para interactuar con las funciones de escaneo y gestión de
    vulnerabilidades de Corgea
servers:
  - url: https://www.corgea.app/api/v1
    description: Servidor de producción
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /verify:
    get:
      tags:
        - Autenticación
      summary: Verificar token
      description: >-
        Verifica el token de API y, opcionalmente, devuelve información del
        usuario
      operationId: verifyToken
      parameters:
        - name: user_info
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: Indica si se debe incluir información del usuario en la respuesta
      responses:
        '200':
          description: El token es válido
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  user:
                    type: object
                    description: >-
                      Información del usuario (solo se incluye si
                      user_info=true)
                    properties:
                      id:
                        type: integer
                      email:
                        type: string
                      name:
                        type: string
                      company:
                        type: object
                        properties:
                          id:
                            type: integer
                          name:
                            type: string
        '401':
          description: Token no válido o ausente
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: Clave de API para la autenticación
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Token de acceso OAuth2 (JWT) en el encabezado Authorization

````